package org.project.item.weapons;

import org.project.entity.Entity;

import java.util.ArrayList;

// TODO: UPDATE IMPLEMENTATION
public class Sword extends Weapon {
    private static int DEFAULT_DAMAGE = 20;
    private static int DEFAULT_MANACOST = 20;
    private static int DEFAULT_SPECIAL_MANA = 30;


    public Sword() {
        super(DEFAULT_DAMAGE, DEFAULT_MANACOST, DEFAULT_SPECIAL_MANA);
    }

    @Override
    public void useSpecialAbility(Entity attacker, Entity target) {
        target.takeDamage(this.getDamage()* 2 + 5);
        attacker.reduceMana(this.getManaCost());
    }
    @Override
    public String getType() {
        return "Sword(Knights)";
    }
    @Override
    public String getExplanation() {
        return "Melee piercing/bludgeoning for knights. Ignores armor on critical hits.";
    }
}
